## ros-eloquent-launch-testing 0.9.7

=== debian/changelog ===
ros-eloquent-launch-testing (0.9.7-1bionic) bionic; urgency=high

  * [Eloquent backport] stop using constructors deprecated in pytest 5.4 (#391 <https://github.com/ros2/launch/issues/391>) Switch to from_parent (partial #421 <https://github.com/ros2/launch/issues/421>) avoid deprecation warning, use from_parent (#402 <https://github.com/ros2/launch/issues/402>) (#459 <https://github.com/ros2/launch/issues/459>)
  * Contributors: Shane Loretz

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-launch-testing (0.9.6-1bionic) bionic; urgency=high

  * Import test file without contaminating sys.modules (#360 <https://github.com/ros2/launch/issues/360>)
  * Contributors: Peter Baughman

 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 21 Jan 2020 06:00:00 -0000

ros-eloquent-launch-testing (0.9.5-1bionic) bionic; urgency=high

  * Make launch_testing.markers.retry_on_failure decorator more robust. (#352 <https://github.com/ros2/launch/issues/352>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 13 Nov 2019 06:00:00 -0000

ros-eloquent-launch-testing (0.9.4-1bionic) bionic; urgency=high

  * Fix a small typo in the launch_testing README. (#351 <https://github.com/ros2/launch/issues/351>)
  * Contributors: Chris Lalancette

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-launch-testing (0.9.3-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-launch-testing (0.9.2-1bionic) bionic; urgency=high

  * Support launch test reruns when using pytest (#348 <https://github.com/ros2/launch/issues/348>)
  * Support CLI commands testing (#279 <https://github.com/ros2/launch/issues/279>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-launch-testing (0.9.1-1bionic) bionic; urgency=high

  * Optionally remove ready fn arg from generate_test_description (#322 <https://github.com/ros2/launch/issues/322>)
  * Contributors: Michel Hidalgo, Peter Baughman

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-launch-testing (0.9.0-1bionic) bionic; urgency=high

  * install package manifest (#330 <https://github.com/ros2/launch/issues/330>)
  * Unindent setup.cfg options. (#326 <https://github.com/ros2/launch/issues/326>)
  * Use renamed remove_ansi_escape_sequences. (#302 <https://github.com/ros2/launch/issues/302>)0
  * Enable launch test discovery in pytest (#312 <https://github.com/ros2/launch/issues/312>)
  * Support LaunchService injection into pre-shutdown tests. (#308 <https://github.com/ros2/launch/issues/308>)
  * Add assertWaitForStartup method to match assertWaitForShutdown (#278 <https://github.com/ros2/launch/issues/278>)
  * Fix a simple typo in an error message. (#301 <https://github.com/ros2/launch/issues/301>)
  * Fix launch_testing output filtering (#296 <https://github.com/ros2/launch/issues/296>)
  * Revert "Revert "[execute_process] emulate_tty configurable and defaults to true"" (#277 <https://github.com/ros2/launch/issues/277>)
  * Fix formatting (#262 <https://github.com/ros2/launch/issues/262>)
  * Fix proc lookup for processes with multiple command-line arguments (#229 <https://github.com/ros2/launch/issues/229>)
  * Remove ros domain ID dependency (#256 <https://github.com/ros2/launch/issues/256>)
  * Contributors: Chris Lalancette, Dirk Thomas, Esteve Fernandez, Michel Hidalgo, Peter Baughman, William Woodall, ivanpauno

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 18 Sep 2019 05:00:00 -0000

ros-eloquent-launch-testing (0.8.3-1bionic) bionic; urgency=high

  * Changed behavior to use ``--isolated`` if no ``ROS_DOMAIN_ID`` is set to help parallel testing. (#251 <https://github.com/ros2/launch/issues/251>)
  * Contributors: Peter Baughman

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-launch-testing (0.8.2-1bionic) bionic; urgency=high

  * add non-asserting waitFor method (#243 <https://github.com/ros2/launch/issues/243>)
  * Enable reuse of launch testing functionality (#236 <https://github.com/ros2/launch/issues/236>)
  * Stop randomizing ROS_DOMAIN_ID by default in launch tests (#240 <https://github.com/ros2/launch/issues/240>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-launch-testing (0.8.1-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-launch-testing (0.8.0-1bionic) bionic; urgency=high

  * Added test actions. (#178 <https://github.com/ros2/launch/issues/178>)
  * Fixed test_env_testing test (#200 <https://github.com/ros2/launch/issues/200>)
  * Dropped legacy launch package. (#191 <https://github.com/ros2/launch/issues/191>)
  * Migrated legacy launch API tests. (#167 <https://github.com/ros2/launch/issues/167>)
  * Contributors: Dirk Thomas, Michel Hidalgo, ivanpauno

 -- Pete Baughman <pete.baughman@apex.ai>  Sat, 13 Apr 2019 05:00:00 -0000

ros-eloquent-launch-testing (0.7.3-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-launch-testing (0.7.2-1bionic) bionic; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-launch-testing (0.7.1-1bionic) bionic; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-launch-testing (0.7.0-1bionic) bionic; urgency=high

  * Fixed lint warnings from invalid escape sequences (#151 <https://github.com/ros2/launch/issues/151>)
    Use raw strings for regex patterns to avoid warnings.

